BUILDING MEGAZEUX FOR PSP

As of 2.81d, MegaZeux can be built for PSP. The only supported toolchain for
this is devkitPSP.

PREPARING TO BUILD

Before starting, we need to add another path to the PATH variable, so that
the psp SDK and, ultimately, Tremor and SDL may be correctly detected. You
should have the $DEVKITPRO and $DEVKITPSP variables defined correctly. The
following instructions assume that these variables are present. Enter the
following:

export DEVKITPRO=$HOME/bin/devkitpro  # for example
export DEVKITPSP=$DEVKITPRO/devkitPSP # for example
export PATH=$DEVKITPSP/bin:$PATH

BUILDING DEPENDENCIES

Install the following library collection:

git clone https://github.com/pspdev/psplibraries.git
cd psplibraries
./libraries.sh

You might need to run the script twice, as it doesn't exactly do installation ordering correctly.

BUILDING MEGAZEUX FROM SOURCES

Extract the latest version of MegaZeux, or obtain it from Git.

cd megazeux
./config.sh --platform psp --prefix $DEVKITPSP/psp --optimize-size \
            --disable-editor --disable-helpsys --disable-utils \
            --disable-libsdl2 --enable-release --enable-meter
make package

This will create an EBOOT.PBP.

PACKAGING THE BUILD

make archive

To construct a bootable zip archive.

--ajs
